class InventoryGroup {
    String name
    String description = ""
    boolean isActive = true

    static hasMany = [inventoryItems : InventoryItem]

    static constraints = {
        name(maxSize:50,unique:true,blank:false)
        description(maxSize:100)
    }

    String toString() {"${this.name}"}

    static searchable = {
        root false // only index as a component of InventoryItem.
        only = ['name']
    }

}
